Bug 970843 - ucarp install creates invalid service name: 'ucarp@'
ucarp install creates invalid service name: 'ucarp@'
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ucarp (Show other bugs)
18
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-05 00:22 EDT by Cam McK
Modified: 2014-02-05 18:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 18:10:57 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Cam McK 2013-06-05 00:22:43 EDT
Description of problem:
Default installation of ucarp on Fedora 18 creates a systemd service of 'ucarp@.service' this service can't be stopped or started with the 'service' command

Version-Release number of selected component (if applicable):
ucarp 1.5.2 - Oct 25 2012

How reproducible:
Everytime from the default package installation

Steps to Reproduce:
1. yum install ucarp

2. [root@haproxy2 ~]# service ucarp@ start
Redirecting to /bin/systemctl start  ucarp@.service
Failed to issue method call: Unit name ucarp@.service is not valid.

Actual results:

See above.

Expected results:

[root@haproxy2 ~]# service ucarp start
Redirecting to /bin/systemctl start  ucarp.service

Fix:
renaming: /usr/lib/systemd/system/ucarp@.service to: /usr/lib/systemd/system/ucarp.service 
then reload systemd and access from service name: 'ucarp' works as expected
Comment 1 Gwyn Ciesla 2013-06-07 10:02:20 EDT
It works a bit differently.  If you have, say, /etc/ucarp/vip-001.conf, then you'd use systemctl [start|stop|enable|disable] ucarp@vip-001 instead.
Comment 2 Fedora End Of Life 2013-12-21 10:32:39 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2014-02-05 18:10:57 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.